Constants (Struts Apps - Scripting Mailreader 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.apps.scriptingmailreader
Class Constants

    java.lang.Object
      org.apache.struts.apps.scriptingmailreader.Constants

    public final class Constants

extends Object

Manifest constants for the MailReader application.

Version:
  $Rev: 471754 $ $Date: 2006-11-06 08:55:09 -0600 (Mon, 06 Nov 2006) $

Field Summary
`static String` | `CREATE` The token representing a "create" task.
`static String` | `DATABASE_KEY` The application scope attribute under which our user database is stored.
`static String` | `DELETE` The token representing a "edit" task.
`static String` | `EDIT` The token representing a "edit" task.
`static String` | `ERROR_DATABASE_NOT_LOADED` A static message in case database resource is not loaded.
`static String` | `ERROR_KEY` The request attributes key under the WelcomeAction stores an ArrayList of error messages, if required resources are missing.
`static String` | `ERROR_MESSAGES_NOT_LOADED` A static message in case message resource is not loaded.
`static String` | `FAILURE` The token representing a "failure" result for this application.
`static String` | `LOG_CANCEL` The message to log when cancelling a transaction.
`static String` | `LOG_FAILURE` The message to log when forwarding to a 'failure' result.
`static String` | `LOG_LOGON` The message to log when forwarding to a 'logon' result.
`static String` | `LOG_POPULATE_FORM` The message to log when populating a form.
`static String` | `LOG_POPULATE_SUBSCRIPTION` The message to log when populating a subscription.
`static String` | `LOG_POPULATE_USER` The message to log when populating a user.
`static String` | `LOG_PROCESSING` The message to log when forwarding to a 'success' result.
`static String` | `LOG_RESULT` The message to log when forwarding to a result.
`static String` | `LOG_SUCCESS` The message to log when forwarding to a 'success' result.
`static String` | `LOG_TOKEN` The message to log when setting a transactional token.
`static String` | `LOG_TOKEN_CHECK` The message to log when checking a transactional token.
`static String` | `LOGON` The token representing a "logon" result for this application.
`static String` | `MSG_TRANSACTION_TOKEN` The resource key for an error with the transactional token.
`static String` | `PACKAGE` The package name for this application.
`static String` | `SAVE` The token representing a "save" task.
`static String` | `SUBSCRIPTION_KEY` The session scope attribute under which the Subscription object currently selected by our logged-in User is stored.
`static String` | `SUCCESS` The token representing a "success" result for this application.
`static String` | `USER_KEY` The session scope attribute under which the User object for the currently logged in user is stored.

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CREATE

    public static final String CREATE

  The token representing a "create" task.

  See Also:
    Constant Field Values

### DATABASE_KEY

    public static final String DATABASE_KEY

  The application scope attribute under which our user database is stored.

  See Also:
    Constant Field Values

### DELETE

    public static final String DELETE

  The token representing a "edit" task.

  See Also:
    Constant Field Values

### EDIT

    public static final String EDIT

  The token representing a "edit" task.

  See Also:
    Constant Field Values

### ERROR_KEY

    public static final String ERROR_KEY

  The request attributes key under the WelcomeAction stores an ArrayList of error messages, if required resources are missing.

  See Also:
    Constant Field Values

### FAILURE

    public static final String FAILURE

  The token representing a "failure" result for this application.

  See Also:
    Constant Field Values

### LOGON

    public static final String LOGON

  The token representing a "logon" result for this application.

  See Also:
    Constant Field Values

### PACKAGE

    public static final String PACKAGE

  The package name for this application.

  See Also:
    Constant Field Values

### SAVE

    public static final String SAVE

  The token representing a "save" task.

  See Also:
    Constant Field Values

### SUBSCRIPTION_KEY

    public static final String SUBSCRIPTION_KEY

  The session scope attribute under which the Subscription object currently selected by our logged-in User is stored.

  See Also:
    Constant Field Values

### SUCCESS

    public static final String SUCCESS

  The token representing a "success" result for this application.

  See Also:
    Constant Field Values

### USER_KEY

    public static final String USER_KEY

  The session scope attribute under which the User object for the currently logged in user is stored.

  See Also:
    Constant Field Values

### ERROR_DATABASE_NOT_LOADED

    public static final String ERROR_DATABASE_NOT_LOADED

  A static message in case database resource is not loaded.

  See Also:
    Constant Field Values

### ERROR_MESSAGES_NOT_LOADED

    public static final String ERROR_MESSAGES_NOT_LOADED

  A static message in case message resource is not loaded.

  See Also:
    Constant Field Values

### MSG_TRANSACTION_TOKEN

    public static final String MSG_TRANSACTION_TOKEN

  The resource key for an error with the transactional token.

  See Also:
    Constant Field Values

### LOG_CANCEL

    public static final String LOG_CANCEL

  The message to log when cancelling a transaction.

  See Also:
    Constant Field Values

### LOG_RESULT

    public static final String LOG_RESULT

  The message to log when forwarding to a result.

  See Also:
    Constant Field Values

### LOG_FAILURE

    public static final String LOG_FAILURE

  The message to log when forwarding to a 'failure' result.

  See Also:
    Constant Field Values

### LOG_LOGON

    public static final String LOG_LOGON

  The message to log when forwarding to a 'logon' result.

  See Also:
    Constant Field Values

### LOG_POPULATE_FORM

    public static final String LOG_POPULATE_FORM

  The message to log when populating a form.

  See Also:
    Constant Field Values

### LOG_POPULATE_SUBSCRIPTION

    public static final String LOG_POPULATE_SUBSCRIPTION

  The message to log when populating a subscription.

  See Also:
    Constant Field Values

### LOG_POPULATE_USER

    public static final String LOG_POPULATE_USER

  The message to log when populating a user.

  See Also:
    Constant Field Values

### LOG_PROCESSING

    public static final String LOG_PROCESSING

  The message to log when forwarding to a 'success' result.

  See Also:
    Constant Field Values

### LOG_SUCCESS

    public static final String LOG_SUCCESS

  The message to log when forwarding to a 'success' result.

  See Also:
    Constant Field Values

### LOG_TOKEN

    public static final String LOG_TOKEN

  The message to log when setting a transactional token.

  See Also:
    Constant Field Values

### LOG_TOKEN_CHECK

    public static final String LOG_TOKEN_CHECK

  The message to log when checking a transactional token.

  See Also:
    Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.